# Market Data

## Fokawa Market Data API Documentation

The following endpoints provide free market data from Fokawa.com:

* Market Summary: <https://openapi.fokawa.com/open/v2/pub/summary>
* Asset Details: <https://openapi.fokawa.com/open/v2/pub/asset>
* Ticker Information: <https://openapi.fokawa.com/open/v2/pub/ticker>
* Order Book (BTC/USDT): <https://openapi.fokawa.com/open/v2/pub/orderbook?symbol=BTC\\_USDT>
* Recent Trades (BTC/USDT): <https://openapi.fokawa.com/open/v2/pub/trades?symbol=BTC\\_USDT>

### Endpoint Overview

#### Summary Endpoint

* **Category**: Summary
* **Status**: Mandatory
* **Description**: Overview of market data for all tickers and markets.
* **Example**: <https://openapi.fokawa.com/open/v2/pub/summary>

#### Asset Endpoint

* **Category**: Asset
* **Status**: Recommended
* **Description**: Detailed information on cryptocurrencies available on the exchange.
* **Example**: <https://openapi.fokawa.com/open/v2/pub/asset>

#### Ticker Endpoint

* **Category**: Ticker
* **Status**: Mandatory
* **Description**: 24-hour rolling window price change statistics for all markets.
* **Example**: <https://openapi.fokawa.com/open/v2/pub/ticker>

#### Order Book Endpoint

* **Category**: Order Book
* **Status**: Mandatory
* **Description**: Market depth of a trading pair with full depth available.
* **Example**: <https://openapi.fokawa.com/open/v2/pub/orderbook?symbol=BTC\\_USDT>

#### Trades Endpoint

* **Category**: Trades
* **Status**: Mandatory
* **Description**: Recently completed trades for a given market.
* **Example**: <https://openapi.fokawa.com/open/v2/pub/trades?symbol=BTC\\_USDT>

### Summary Endpoint

The summary endpoint provides an overview of market data for all tickers and market pairs on the exchange.

Example Response:

```json
{
  "trading_pairs": "ETC_BTC",
  "last_price": 0.00067,
  "lowest_ask": 0.000681,
  "highest_bid": 0.00067,
  "base_volume": 1528.11,
  "quote_volume": 1.028,
  "price_change_percent_24h": -1.32,
  "highest_price_24h": 0.000676,
  "lowest_price_24h": 0.000666
}
```

#### Response Descriptions

* **trading\_pairs**: Identifier of a ticker with delimiter to separate base/quote (e.g., BTC-USD).
* **base\_currency**: Symbol/code of base currency (e.g., BTC).
* **quote\_currency**: Symbol/code of quote currency (e.g., USD).
* **last\_price**: Last transacted price of base currency based on given quote currency.
* **lowest\_ask**: Lowest ask price of base currency based on given quote currency.
* **highest\_bid**: Highest bid price of base currency based on given quote currency.
* **base\_volume**: 24-hour volume of market pair denoted in base currency.
* **quote\_volume**: 24-hour volume of market pair denoted in quote currency.
* **price\_change\_percent\_24h**: 24-hour percentage price change of market pair.
* **highest\_price\_24h**: Highest price of base currency based on given quote currency in the last 24 hours.
* **lowest\_price\_24h**: Lowest price of base currency based on given quote currency in the last 24 hours.

### Asset Endpoint

The asset endpoint provides a detailed summary for each currency available on the exchange.

Example Response:

```json
{
  "BTC": {
    "name": "bitcoin",
    "unified_cryptoasset_id": "1",
    "can_withdraw": "true",
    "can_deposit": "true",
    "min_withdraw": "0.01",
    "max_withdraw": "100",
    "maker_fee": "0.01",
    "taker_fee": "0.01"
  },
  "ETH": {
    "name": "ethereum",
    "unified_cryptoasset_id": "1027",
    "can_withdraw": "false",
    "can_deposit": "false",
    "min_withdraw": "10.00",
    "max_withdraw": "0.00",
    "maker_fee": "0.01",
    "taker_fee": "0.01"
  }
}
```

#### Response Descriptions

* **name**: Full name of cryptocurrency.
* **unified\_cryptoasset\_id**: Unique ID of cryptocurrency assigned by Unified Cryptoasset ID.
* **can\_withdraw**: Indicates whether withdrawals are enabled or disabled.
* **can\_deposit**: Indicates whether deposits are enabled or disabled.
* **min\_withdraw**: Minimum withdrawal amount of a cryptocurrency.
* **max\_withdraw**: Maximum withdrawal amount of a cryptocurrency.
* **maker\_fee**: Fees applied when liquidity is added to the order book.
* **taker\_fee**: Fees applied when liquidity is removed from the order book.

### Ticker Endpoint

The ticker endpoint provides a 24-hour pricing and volume summary for each market pair available on the exchange.

Example Response:

```json
{
  "BTC_USDT": {
    "base_id": "1",
    "quote_id": "825",
    "last_price": "10000",
    "quote_volume": "20000",
    "base_volume": "2",
    "isFrozen": "0"
  },
  "LTC_BTC": {
    "base_id": "2",
    "quote_id": "1",
    "last_price": "0.00699900",
    "base_volume": "20028.526",
    "quote_volume": "279594",
    "isFrozen": "0"
  }
}
```

#### Response Descriptions

* **base\_id**: The quote pair Unified Cryptoasset ID.
* **quote\_id**: The base pair Unified Cryptoasset ID.
* **last\_price**: Last transacted price of base currency based on given quote currency.
* **base\_volume**: 24-hour trading volume denoted in base currency.
* **quote\_volume**: 24-hour trading volume denoted in quote currency.
* **isFrozen**: Indicates if the market is currently enabled (0) or disabled (1).

### Order Book Endpoint

The order book endpoint provides a complete level 2 order book with full depth returned for a given market pair.

Example Response:

```json
{
  "timestamp": "1585177482652",
  "bids": [
    ["12462000", "0.04548320"],
    ["12457000", "3.00000000"]
  ],
  "asks": [
    ["12506000", "2.73042000"],
    ["12508000", "0.33660000"]
  ]
}
```

#### Response Descriptions

* **timestamp**: Unix timestamp in milliseconds for the last update time.
* **bids**: An array containing the offer price and quantity for each bid order.
* **asks**: An array containing the ask price and quantity for each ask order.

### Trades Endpoint

The trades endpoint returns data on all recently completed trades for a given market pair.

Example Response:

```json
[
  {
    "trade_id": 3523643,
    "price": "0.01",
    "base_volume": "569000",
    "quote_volume": "0.01000000",
    "timestamp": "1585177482652",
    "type": "sell"
  }
]
```

#### Response Descriptions

* **trade\_id**: A unique ID associated with the trade for the currency pair transaction.
* **price**: Last transacted price of base currency based on given quote currency.
* **base\_volume**: Transaction amount in base currency.
* **quote\_volume**: Transaction amount in quote currency.
* **timestamp**: Unix timestamp in milliseconds for when the transaction occurred.
* **type**: Indicates whether the transaction originated as a buy or sell (buy removes ask, sell removes bid).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.fokawa.com/openapi-basic-information/market-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
